Updates an existing company (partial update).
- Type: stringidrequired
Company ID
- Type: stringIf
- Match ETag value from a previous GET or PATCH response for optimistic concurrency control
Fields to update. Only include fields you want to change. Omitted fields are left unchanged.
Request body for updating an existing company. Only include fields you want to change. Omitted fields are left unchanged; fields set to null are cleared.
- Type: null | stringcountry
Code ISO 3166-1 alpha-2 country code (e.g. 'US', 'SE').
- Type: null | stringdomain
Company domain (e.g., "acme.com"). Normalized to lowercase without www prefix. Ignored if homepageUrl is provided (domain is derived from URL instead).
- Type: array object[] ·external
Refs External references to this company in other systems (e.g. CRM IDs).
Represents an external system reference (e.g., Salesforce, HubSpot, Pipedrive). Supports multiple CRM systems simultaneously.
- Type: null | stringhomepage
Url Company homepage URL.
- Type: null | stringlinked
In Url Company LinkedIn URL in the format https://www.linkedin.com/company/{slug}.
- Type: null | stringname
Company name.
- Type: null | stringstrategy
Investment strategy or description.
- Type: array string[]
List of tags or labels.
- application/json
- application/problem+json
- application/problem+json
- application/problem+json
- application/problem+json
- application/problem+json
- application/problem+json
curl 'https://app.propstreet.com/api/v1/network/companies/{id}' \
--request PATCH \
--header 'If-Match: ' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"externalRefs": [
{
"namespace": "",
"id": ""
}
],
"name": null,
"countryCode": null,
"homepageUrl": null,
"linkedInUrl": null,
"domain": null,
"tags": [
""
],
"strategy": null
}'
{
"id": "string",
"uri": null,
"externalRefs": [
{
"namespace": "string",
"id": "string"
}
],
"name": "string",
"countryCode": null,
"homepageUrl": null,
"linkedInUrl": null,
"domain": null,
"tags": [
"string"
],
"strategy": null,
"contacts": [
{
"id": "string",
"uri": null,
"firstName": null,
"lastName": null,
"email": null,
"jobTitle": null,
"isPrimary": true
}
],
"profilePictureUrl": null,
"createdUtc": "2026-05-18T20:22:36.959Z",
"updatedUtc": "2026-05-18T20:22:36.959Z",
"deletedUtc": null,
"etag": "string",
"changeType": null,
"changeOrigin": null
}